Bug 90416 - scrolling up line-by-line in screen session leaves vertical line
scrolling up line-by-line in screen session leaves vertical line
Product: Red Hat Raw Hide
Classification: Retired
Component: vte (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2003-05-07 17:34 EDT by Jens Petersen
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-22 17:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2003-05-07 17:34:13 EDT
Description of problem:
In a screen session inside gnome-terminal, when one goes into
copy mode and scrolls up with the Up key, the cursor leaves a
black vertical trail behind it once the screen starts scrolling down.
It is undone by Down again fwiw.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Start gnome-terminal.
2.Run "screen" in it.
3.Press "Ctrl-a ["
4.Scroll screen buffer up with Up
Actual results:
Black vertical trail left behind cursor

Expected results:
No scrolling artefacts.

Additional info:
This didn't happen with the vte in Shrike.
Comment 1 Nalin Dahyabhai 2003-05-22 16:44:54 EDT
Should be fixed in 0.11.7 and later.
Comment 2 Jens Petersen 2003-05-22 17:49:36 EDT
Yes, it is thanks. :-)

Note You need to log in before you can comment on or make changes to this bug.